[Gluster-users] Issue with files on glusterfs becoming unreadable.

Elbert Lai elbert.lai at eng.admob.com
Thu Jun 11 20:56:23 UTC 2009


Thanks you for responding. I am recommending that the first thing we  
do before spending more time troubleshooting this is to upgrade. I  
found that someone else reported something quite similar back in  

Here the "selfheal complete" is acutaly "selfheal complete
unsuccessfully". It does not heal the file and open returns error. The
healing code detects a conflicting case if it sees that both the
subvols say that they are the latest and other is outdated. We see
this happen when there is a split brain situation (network between AFR
servers is broken and different clients write to each AFR
independently) or in a very rare case where one of the servers go down
right when a write operation is happening. I think you have hit the
2nd case. Here AFR can not really decide on which subvol has the
latest version hence it leaves is to the discretion of the user.
Earlier 1.3 AFR did not handle the split brain situation hence you did
not see this.


It seems to me that this must be inherent in the concept of a split  
namenode, namely that the potential for splitbrain exists. Is this no  
longer the case with gluster v2? Or if one host becomes unreachable  
for long enough, then this type of scenario is unavoidable?

It looks like to upgrade, there is a post-install script that must be  
run on the exported volumes to clean up extended attributes. I haven't  
spent much time look at any upgrade docs yet (which I fully intend to  
do), but are there any big gotchas? The gluster servers house our  
production data storage, about 1.7TB on the average.


On Jun 11, 2009, at 1:47 PM, Vikas Gorur wrote:

> ----- "Elbert Lai" <elbert.lai at eng.admob.com> wrote:
>> elbert at host1:~$ dpkg -l|grep glusterfs
>> ii  glusterfs-client
>> 1.3.8-0pre2                          GlusterFS fuse client
>> ii  glusterfs-server
>> 1.3.8-0pre2                          GlusterFS fuse server
>> ii  libglusterfs0
>> 1.3.8-0pre2                          GlusterFS libraries and
>> translator modules
> You are using quite an old version of GlusterFS. Many issues with  
> AFR have been fixed then. Can you try the newest release, 2.0.1?
> Debian packages available at: http://packages.debian.org/sid/glusterfs-client
> (Look there for the related packages.)
> Vikas
> -- 
> Engineer - Z Research
> http://gluster.com/
> _______________________________________________
> Gluster-users mailing list
> Gluster-users at gluster.org
> http://zresearch.com/cgi-bin/mailman/listinfo/gluster-users

More information about the Gluster-users mailing list